Debian Bug report logs - #375297
libgtk-jni, libgtk-java: Circular depends.

version graph

Packages: libgtk-java, libgtk-jni; Maintainer for libgtk-java is (unknown); Maintainer for libgtk-jni is (unknown);

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 25 Jun 2006 00:18:15 UTC

Severity: important

Tags: fixed

Found in version libgtk-java,libgtk-jni/2.6.2-4

Fixed in version 2.8.5-1.1

Done: Michael Koch <michael.koch@enough.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#375297; Package libgtk-java,libgtk-jni. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libgtk-jni, libgtk-java: Circular depends.
Date: Sun, 25 Jun 2006 01:50:58 +0200
Package: libgtk-java,libgtk-jni
Version: 2.6.2-4
Severity: serious

Hi,

It seems that libgtk-java and libgtk-jni depend on each other,
making a circular dependency loop.  This will give unpredictible
results since dpkg will decide where to break the loop, and that
might cause problems for other packages.


Kurt




Severity set to `important' from `serious' Request was from "Mark Howard" <mh@tildemh.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Koch <michael.koch@enough.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 375297-done@bugs.debian.org (full text, mbox):

From: Michael Koch <michael.koch@enough.de>
To: 375297-done@bugs.debian.org, 375872-done@bugs.debian.org
Subject: Re: Fixed in NMU of libgtk-java 2.8.5-1.1
Date: Fri, 16 Mar 2007 12:12:06 +0100
Version: 2.8.5-1.1


Closed by NMU.


Cheers,
Michael
-- 
Michael Koch
Senior Developer
Enough Software
Sögestr. 70
28195 Bremen
Germany

Web: http://www.enough.de
Mail: michael.koch@enough.de

Tel: +49-(0)421-9889 131
Fax: +49-(0)421-9889 132



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 22:01:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:50:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.